package example;
import java.util.ArrayList;

public class Contact {
    /**
     * This is the Model in the MVC example, the Contact class
     * 
     */

    private String firstName;
    private String lastName;

    private ArrayList<String> phoneNumbers;

    private boolean favorite;


    /**
     * Constructor
     * 
     * @param firstName
     *            student's first name
     * @param lastName
     *            student's last name
     */
    public Contact(String firstName, String lastName) {
        this.firstName = firstName;
        this.lastName = lastName;
        phoneNumbers = new ArrayList<String>();
        favorite = false;
    }


    /**
     * setter for first name
     * 
     * @param firstName
     */
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }


    /**
     * setter for last name
     * 
     * @param lastName
     */
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }


    /**
     * setter for phoneNumbers ArrayList
     * 
     * @param phoneNumbers
     *            the phoneNumbers to set
     */
    public void setPhoneNumbers(ArrayList<String> phoneNumbers) {
        this.phoneNumbers = phoneNumbers;
    }


    /**
     * getter for firstName
     * 
     * @return the firstName
     */
    public String getFirstName() {
        return firstName;
    }


    /**
     * getter for lastName
     * 
     * @return the lastName
     */
    public String getLastName() {
        return lastName;
    }


    /**
     * getter for phoneNumbers ArrayList
     * 
     * @return the phoneNumbers
     */
    public ArrayList<String> getPhoneNumbers() {
        return phoneNumbers;
    }


    /**
     * getter for favorite
     * 
     * @return the favoriteContact
     */
    public boolean isFavorite() {
        return favorite;
    }


    /**
     * @param favorite
     *            the favorite to set
     */
    public void setFavorite(boolean favorite) {
        this.favorite = favorite;
    }


    /**
     * Adds phone numbers to the phoneNumbers ArrayList
     * 
     * @param newPhoneNumber
     */
    public void addPhoneNumber(String newPhoneNumber) {
        phoneNumbers.add(newPhoneNumber);
    }


    /**
     * Switches the boolean value of favorite
     * from false to true or from true to false
     */
    public void switchFavorite() {
        System.out.println("Model for " + firstName
            + "'s Contact updates the object's favourite field");
        System.out.println("\n\n");
        if (favorite == true) {
            favorite = false;
        }
        else {
            favorite = true;
        }

    }

}
