package example;
import java.util.ArrayList;

public class Controller {
    /**
     * This is the Controller in the MVC example, the Controller class
     * 
     */
    private ArrayList<Contact> addressBook;


    /**
     * Constructor
     * 
     */
    public Controller() {
        this.addressBook = new ArrayList<Contact>();
    }


    /**
     * Adds a new Contact to the address book
     * 
     * @param contact
     *            the Contact to add
     */
    public void addContact(Contact newContact) {
        addressBook.add(newContact);
    }


    /**
     * Gets the contact from the address book
     * 
     * @param contactPos
     *            the position of the Contact in the Address Book
     * @return the contact at the provided position
     */
    public Contact getContact(int contactPos) {
        return (addressBook.get(contactPos));
    }


    /**
     * Works with Contact object to switch favorite setting
     * 
     * @param contact
     *            the Contact to switch setting for
     */
    public void switchContactFav(Contact contact) {
        System.out.println("Controller talks to model");
        contact.switchFavorite();
    }


    /**
     * getter for addressBook
     * 
     * @return the addressBook
     */
    public ArrayList<Contact> getAddressBook() {
        return addressBook;
    }

}
